<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="cs" lang="cs">
<head>
$#header#$
<link rel="stylesheet" type="text/css" href="./print.css" media="print" />
</head>
<body>

<div id="view">
  <!-- 
    #hlavicka vcetne loga a listy s hlavni nabidkou
      - h1 hlavní nadpis a absolutni pozadi v logu
      - ul seznam - hlavní menu (span odpovida cervene odrazce)
      - aktivni zalozka oznacena v elementu li tridou "active"
  -->
  <div id="head">
    <div id="logo">
      <a href="" class="block">&nbsp;</a>
      <h1>$#title#$</h1>
      <h2>$#subtitle#$</h2>
    </div>
    <hr class="hidden" />
    <div id="mainMenu">
      <ul>$#mainmenu1#$</ul>
      <form action="" method="post" id="search">
        <fieldset>
          <input type="text" name="" value="" class="button" />
          <input type="submit" value="" class="submit" />
        </fieldset>
      </form>
    </div>
    <hr class="hidden" />
  </div>
  <!-- /#hlavicka vcetne loga a listy s hlavni nabidkou -->
  <div id="content">
    <!-- 
      #obsahovy blok
        - kazdy element je mozne odlisne formatovat pomoci predpripravenych trid (viz vysvetlivky v css souboru)
        - nadpisy hlavnich clanku jsou vyjadreny elementem h2, mensi clanky el. h3
        - kazdy clanek ulozen ve vlastni "div konstrukci" s tridou "item"
          - vsechny "item clanky" jsou oddeleny vodorovnou carou - zruseni mozne pomoci tridy last (viz prvni clanek sablony)
          - kazdy clanek obsahuje element p s tridou info, ktera popisuje dulezite informace ohledne vydani prislusneho clanku
          - v obsahu clanku (i mimo "item div konstrukci") je mozne dale vytvorit:
              - seznamy (ul, ol)
              - tabulky (table)
              - obrazky (img)
    -->
    <div id="contentBlock">
      <div class="item last">$#content#$</div>
      <!-- 
        #cols 50:50
           Kazdou dalsi podcast je mozne rozdelit pomoci dvojice konstrukci s tridami "col1" a "col2", ktere zpusobi -
           rozdeleni obsahu v pomeru 50:50 (uzito v pripade obrazku v sablone nize)
      -->
      <!-- /#cols 50:50 -->
    </div>
    <!-- /#obsahovy blok -->
    <hr class="hidden" />
    <!-- #pravy blok - nabidka submenu a dalsi prvky -->
    <div id="menuBlock">
      <!--
        #zachovani shodneho odsazeni boxu v prave casti obsahu
          - uzavreni do konstrukce s tridou "box" zpusobi odsazeni nasledujiciho elementu
          
        #moznosti boxu prave nabidky
          - prvni element praveho sloupce musi byt definovan i tridou "firstBox" - vykresleni stinu
          - element obsahujici submenu musi obsahovat tridu "subMenu"
          - element obsahujici ostatni obsahove prvky (seznamy, formulare, obrazky) musi byt zalozen na tride "boxText"
          
        #aktivni zalozka oznacena v elementu li tridou "active"
      -->
      <div class="box firstBox subMenu">
        <h3>$#selected#$</h3>
        <ul>$#submenu#$</ul>
      </div>
      <div class="box boxText">
        <h3>Last News:</h3>
		$#lastnews#$
      </div>
      <div class="box subMenu">
        <h3>We Recomend:</h3>
		$#links#$
      </div>
      <div class="box subMenu">
        <h3>Wise words:</h3>
		$#extra#$
      </div>
    </div>
    <!-- /#pravy blok -->
  </div>
  
  <!-- #pristupne prvky stranky - neodstranovat !!! -->
  <hr class="hidden" />
  <ul class="hidden">
    <li><a href="#view">Nahoru</a></li>
    <li><a href="#content">Zpět na obsah</a></li>
  </ul>
  <hr class="hidden" />
  <!-- /#pristupne prvky stranky - neodstranovat !!! -->
  
  <div id="foot">
    <p class="fl">$#footer#$ | $#sitemap#$ | $#login#$</p>
    <!-- /#   LINKS AND AUTHOR-SIGNATURE CANNOT BE REMOVED !!! -->
    <p class="fr">Original design by <a href="http://www.breezy.cz" class="ico ico-breezy">Breezy New Media</a></p>
  </div>
</div>

</body>
</html>
